#
# spec file for package taglib-sharp
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           taglib-sharp
Version:        2.1.0.0
Release:        10.41
Summary:        Multimedia metadata reading/writing library for popular formats
License:        LGPL-2.1+
Group:          Development/Languages/Mono
Url:            http://download.banshee-project.org/taglib-sharp/
Source0:        http://download.banshee.fm/taglib-sharp/2.1.0.0/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gnome-sharp-2.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(mono-nunit)

%description
TagLib# is a metadata or "tag" reader and writer library that supports the
most common movie and music formats, abstracting away format specificity.
TagLib# offers either a common API for all formats or access to specific

%package devel
Summary:        Multimedia metadata reading/writing library for popular formats
Group:          Development/Languages/Mono
Requires:       %{name} = %{version}
Requires:       pkgconfig

%description devel
TagLib# is a metadata or "tag" reader and writer library that supports the
most common movie and music formats, abstracting away format specificity.
TagLib# offers either a common API for all formats or access to specific
APIs for a given format.

%prep
%setup -q

%build
%configure                   \
   --libdir=%{_libexecdir}   \
   --disable-docs
make %{?_smp_mflags}

%install
%makeinstall
install -Dm 0644 %{name}.pc %{buildroot}%{_datadir}/pkgconfig/%{name}.pc
find %{buildroot}%{_libexecdir} -name '*.pc' -type f -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/mono/gac/
%{_libexecdir}/mono/

%files devel
%defattr(-, root, root)
%{_datadir}/pkgconfig/*.pc

%changelog
* Wed Oct  3 2012 nmo.marques@gmail.com
- Update to version 2.1.0.0:
  + Bump the version number because of an ABI break in 363f8ae
  + Initial support for Audible files (bgo#601543)
- Remove conditionals and use only pkgconfig() calls, spec file
  rework
* Tue Jul  3 2012 nmo.marques@gmail.com
- Update to version 2.0.5.0:
  - Fix a freeze on some mp3 files where header was at the end of
    file
  - Properly implement partial matching for File.Find and
    File.RFind
  - [Mpeg4] Fix parsing of some apple tags (bgo#658920)
  - Add partial support for IPTC-IIM
  - Fix nested UDTA boxes
  - [Mpeg4] Attempt to handle corrupt tags a little better
    (bgo#676934)
  - Mark the file as corrupt instead of throwing exception
    (bgo#643477)
  - StartTag.ReadTag should not silence exceptions
  - Check for short popularimeter tags
  - On corrupt Id3v2 frame, skip just that frame (bgo#650674)
  - Use O(N) rather than O(N^2) deunsynchronization algorithm
- Enabled support for:
  + gnome-sharp2
  + mono-nunit
* Sun May 29 2011 nmarques@opensuse.org
- Update to version 2.0.4.0:
  + Support for Photo metadata;
  - read/write for EXIF, XMP, PNG, JPEG, TIFF;
  - read support for many RAW formats;
  + Support for Matroska metadata reading (eg: WebM and .mkv);
  + Fix File.ReadBlock for slow connections (bgo#639817).
  + Minor spec cleanups/fixes.
* Thu Oct 21 2010 aj@suse.de
- Fix URL in package (bnc#647572).
* Sat Mar 20 2010 gburt@suse.de
- Update to version 2.0.3.7
  * Solution/projects migrated to VS format
  * Fix ID3v2 unsyncing (bgo#593138)
  * Fix ID3v2.3 exetended header size calculation (bgo#604488)
  * Make TagLib.File IDisposable (closes any open streams)
  * Don't throw an exception if RVA2 data is partially incorrect
  * Fall back to nunit-console is nunit-console2 not found (bgo#593673)
  * Add build check for `al` tool (bgo#575303)
* Wed Feb 24 2010 gburt@suse.de
- Update to version 2.0.3.6
  * Fix API break introduced in 2.0.3.5
* Tue Feb 23 2010 gburt@suse.de
- Update to version 2.0.3.5
  * Add BitsPerSample property (bgo#610585)
  * Support COMPILATION in ogg (bgo#586336)
  * Fix removing some/all tag-types (bgo#574653)
* Wed Jan 27 2010 gburt@suse.de
- Update to version 2.0.3.4
  * Bug fix only
  * Fix IndexOutOfRangeException (bgo#607376)
  * Fix issue with converting/parsing year (bgo#606283)
  * Support the 'alis' handler code/track type (bgo#584193)
* Thu Jan  7 2010 gburt@suse.de
- Fix issue with converting/parsing year (bgo#606283)
- Support the 'alis' handler code/track type (bgo#584193)
* Tue Oct 13 2009 abockover@novell.com
- Update to version 2.0.3.3
- Various bug fixes and new features
  * Be more robust with tags with NULL bytes in the middle (bgo#558123)
  * Support AIFF file format (bgo#579261)
  * Support ADTS AAC files (bgo#580553)
  * Support for m2v files (bgo#574411)
  * Support for Sort* values in Ape tags (bgo#571421)
  * Add new properties: MusicBrainz, ArtistId, ReleaseId, ReleaseArtistId,
    TrackId, DiscId, ReleaseStatus, ReleaseType, ReleaseCountry, MusicIpId,
    and AmazonId (bgo#563170)
  * Add fallback options for album artist getter (bgo#574652)
  * Fixed bug with Ape.Tag's Pictures setter (bgo#575943)
  * Fix crashing when parsing some comment frames (bgo#582735)
  * Fixed CopyTo method (bgo#572382)
  * Fixed typo in Ogg DiscNumber setter that wrote TrackCount
    to the DISCTOTAL field (bgo#572382)
  * Fixed NRE when calling GetTag on FLAC file (bgo#572380)
  * API documentation fixes
* Mon Feb 16 2009 gburt@suse.de
- Update to version 2.0.3.2
* Wed Jan 21 2009 abockover@novell.com
- Update to version 2.0.3.1 which rolls in previous patches since
  the 2.0.3.0 release from a year ago (bgo#564182, bgo#532561)
* Fri Dec 19 2008 gburt@suse.de
- Patch to fix bug with parsing of ID3v2 headers that have the tag-wide
  Unsychronized flag set like some amazonmp3 files (bgo#564182)
* Thu Nov  6 2008 gburt@suse.de
- Fix bug caused by redundant attribute from patch
* Mon Oct 27 2008 gburt@suse.de
- Merge changes from openSUSE:Factory project
* Sun Oct 26 2008 gburt@suse.de
- Fixes bgo#532561 (recognize oga/ogv extensions)
* Sun Jan 27 2008 abockover@suse.de
- Initial checkin of taglib-sharp
- Version 2.0.3.0
- Provides tag reading and writing for Banshee and other Mono applications
- Supports all major metadata/container and audio/video formats
